post
https://api.app.shipyardapp.com/orgs//projects//fleets//fleetruns
Trigger a Fleet to run with optional override data
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overrides
Values configured on the target Fleet can be overridden by providing an optional JSON body in the request. Below is an example payload.
{
"vessel_overrides": [
{
"name": "Vessel A",
"environment_variable_overrides": {
"ENV_VAR_1": "One",
"ENV_VAR_2": "Two",
"ENV_VAR_3": "Three",
"explicit_empty": "",
"explicit_do_not_set": None
}
},
{
"name": "Vessel B",
"environment_variable_overrides": {
"ENV_VAR_A": "Apple",
"ENV_VAR_B": "Blossom",
"ENV_VAR_C": "Chai"
}
}
]
}
There are several things to note regarding the json payload.
- The
namevalue is the name of the Vessel that you'd like to override. environment_variable_overridesare the environment variables you'd like to override.- Replace the left-hand side with the name of the environment variable you'd like to override and the right-hand side with the new value.
- Note: This is case sensitive.
- If the environment variable override value is an empty string
"", the variable will be overridden and set to empty. - If the environment variable override value is
nullornone, that value will be ignored and not set. - If the environment variable override is not provided, the value set in the UI will be used.